Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.webservicex
Class StockQuote

    java.lang.Object
      javax.xml.ws.Service
          net.webservicex.StockQuote

    @WebServiceClient(name="StockQuote",
                      wsdlLocation="file:stockquote.wsdl",
                      targetNamespace="http://www.webserviceX.NET/")
    public class StockQuote

extends javax.xml.ws.Service

This class was generated by Apache CXF 2.2.8 Tue May 11 18:53:01 ART 2010 Generated source version: 2.2.8

Nested Class Summary

Nested classes/interfaces inherited from class javax.xml.ws.Service
`javax.xml.ws.Service.Mode`

Field Summary
`static QName` | `SERVICE`
`static QName` | `StockQuoteHttpGet`
`static QName` | `StockQuoteHttpPost`
`static QName` | `StockQuoteSoap`
`static QName` | `StockQuoteSoap12`
`static URL` | `WSDL_LOCATION`

Constructor Summary
`StockQuote()`
`StockQuote(URL wsdlLocation)`
`StockQuote(URL wsdlLocation, QName serviceName)`

Method Summary
`StockQuoteHttpGet` | `getStockQuoteHttpGet()`
`StockQuoteHttpGet` | `getStockQuoteHttpGet(javax.xml.ws.WebServiceFeature... features)`
`StockQuoteHttpPost` | `getStockQuoteHttpPost()`
`StockQuoteHttpPost` | `getStockQuoteHttpPost(javax.xml.ws.WebServiceFeature... features)`
`StockQuoteSoap` | `getStockQuoteSoap()`
`StockQuoteSoap` | `getStockQuoteSoap(javax.xml.ws.WebServiceFeature... features)`
`StockQuoteSoap` | `getStockQuoteSoap12()`
`StockQuoteSoap` | `getStockQuoteSoap12(javax.xml.ws.WebServiceFeature... features)`

Methods inherited from class javax.xml.ws.Service
`addPort, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_LOCATION

    public static final URL WSDL_LOCATION

### SERVICE

    public static final QName SERVICE

### StockQuoteHttpPost

    public static final QName StockQuoteHttpPost

### StockQuoteSoap

    public static final QName StockQuoteSoap

### StockQuoteSoap12

    public static final QName StockQuoteSoap12

### StockQuoteHttpGet

    public static final QName StockQuoteHttpGet

Constructor Detail

### StockQuote

    public StockQuote(URL wsdlLocation)

### StockQuote

    public StockQuote(URL wsdlLocation,
                      QName serviceName)

### StockQuote

    public StockQuote()

Method Detail

### getStockQuoteHttpPost

    @WebEndpoint(name="StockQuoteHttpPost")
    public StockQuoteHttpPost getStockQuoteHttpPost()

  Returns:
    returns StockQuoteHttpPost

### getStockQuoteHttpPost

    @WebEndpoint(name="StockQuoteHttpPost")
    public StockQuoteHttpPost getStockQuoteHttpPost(javax.xml.ws.WebServiceFeature... features)

  Parameters:
    `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
  Returns:
    returns StockQuoteHttpPost

### getStockQuoteSoap

    @WebEndpoint(name="StockQuoteSoap")
    public StockQuoteSoap getStockQuoteSoap()

  Returns:
    returns StockQuoteSoap

### getStockQuoteSoap

    @WebEndpoint(name="StockQuoteSoap")
    public StockQuoteSoap getStockQuoteSoap(javax.xml.ws.WebServiceFeature... features)

  Parameters:
    `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
  Returns:
    returns StockQuoteSoap

### getStockQuoteSoap12

    @WebEndpoint(name="StockQuoteSoap12")
    public StockQuoteSoap getStockQuoteSoap12()

  Returns:
    returns StockQuoteSoap

### getStockQuoteSoap12

    @WebEndpoint(name="StockQuoteSoap12")
    public StockQuoteSoap getStockQuoteSoap12(javax.xml.ws.WebServiceFeature... features)

  Parameters:
    `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
  Returns:
    returns StockQuoteSoap

### getStockQuoteHttpGet

    @WebEndpoint(name="StockQuoteHttpGet")
    public StockQuoteHttpGet getStockQuoteHttpGet()

  Returns:
    returns StockQuoteHttpGet

### getStockQuoteHttpGet

    @WebEndpoint(name="StockQuoteHttpGet")
    public StockQuoteHttpGet getStockQuoteHttpGet(javax.xml.ws.WebServiceFeature... features)

  Parameters:
    `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
  Returns:
    returns StockQuoteHttpGet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.